summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Marco Bonetti <sid77@slackware.it>2010-04-16 21:57:33 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-15 10:38:08 +0200
commit296ee4b1d07baac910422190cc1ec738ece53bd7 (patch)
tree74df8ca6643202bd9d2936fcbb0014b3a06b0ed3
parenteb26389fa5ea8822b287269a78991c9fc5c86f91 (diff)
downloadslackbuilds-296ee4b1d07baac910422190cc1ec738ece53bd7.tar.gz
slackbuilds-296ee4b1d07baac910422190cc1ec738ece53bd7.tar.xz
libraries/pyutil: Added (Python utilities)
-rw-r--r--libraries/pyutil/README4
-rw-r--r--libraries/pyutil/pyutil.SlackBuild76
-rw-r--r--libraries/pyutil/pyutil.info10
-rw-r--r--libraries/pyutil/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/libraries/pyutil/README b/libraries/pyutil/README
new file mode 100644
index 0000000000..f206473186
--- /dev/null
+++ b/libraries/pyutil/README
@@ -0,0 +1,4 @@
+A collection of functions and data structures from allmydata.org.
+
+This package requires pysetuptools, argparse and zbase32. Note that the
+last one is a circular dependency, however it will only be needed at runtime.
diff --git a/libraries/pyutil/pyutil.SlackBuild b/libraries/pyutil/pyutil.SlackBuild
new file mode 100644
index 0000000000..0a157c4a42
--- /dev/null
+++ b/libraries/pyutil/pyutil.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for pyutil.
+
+# Copyright 2010-2011 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pyutil
+VERSION=${VERSION:-1.7.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="COPYING.GPL COPYING.TGPPL.html README.txt"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python setup.py build || exit 1
+python setup.py install --root=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/slack-desc > $PKG/usr/doc/$PRGNAM-$VERSION/slack-desc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/pyutil/pyutil.info b/libraries/pyutil/pyutil.info
new file mode 100644
index 0000000000..5993863765
--- /dev/null
+++ b/libraries/pyutil/pyutil.info
@@ -0,0 +1,10 @@
+PRGNAM="pyutil"
+VERSION="1.7.1"
+HOMEPAGE="http://allmydata.org/trac/pyutil"
+DOWNLOAD="http://pypi.python.org/packages/source/p/pyutil/pyutil-1.7.1.tar.gz"
+MD5SUM="d6efa4b42a3e6d2d602f6b72b40a62e8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="dsomero"
diff --git a/libraries/pyutil/slack-desc b/libraries/pyutil/slack-desc
new file mode 100644
index 0000000000..a667506f30
--- /dev/null
+++ b/libraries/pyutil/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+pyutil: pyutil (Python utilities)
+pyutil:
+pyutil: A collection of functions and data structures from allmydata.org
+pyutil:
+pyutil: Homepage: http://allmydata.org/trac/pyutil
+pyutil:
+pyutil:
+pyutil:
+pyutil:
+pyutil:
+pyutil: